aboutsummaryrefslogtreecommitdiff
path: root/databases/msql/scripts/check_old_version
diff options
context:
space:
mode:
Diffstat (limited to 'databases/msql/scripts/check_old_version')
-rw-r--r--databases/msql/scripts/check_old_version32
1 files changed, 32 insertions, 0 deletions
diff --git a/databases/msql/scripts/check_old_version b/databases/msql/scripts/check_old_version
new file mode 100644
index 000000000000..ea046b99543f
--- /dev/null
+++ b/databases/msql/scripts/check_old_version
@@ -0,0 +1,32 @@
+#!/usr/bin/perl
+#
+# $Id$
+#
+
+if( -d "/var/db/msqldb" ) {
+ chdir( "/var/db/pkg" );
+ opendir( DIR, "." );
+ @oldmsql = grep( /^msql-2.0b[1234]$/, readdir( DIR ) );
+ closedir;
+ if( @oldmsql ) {
+ if( ! $ENV{OVERWRITE_DB} ) {
+ print <<END;
+
+mSQL v2.0 beta 5 and above make changes to the AVL index format of your
+databases. In order to preserve your existing data, you must:
+ - use msqldump to dump all your databases
+ - install beta 5 or above
+ - use msqladmin to drop and then create each of your databases
+ - use msql to reload your data
+
+If you understand the consequences of this upgrade, please re-build this
+port with the environment variable OVERWRITE_DB defined.
+
+END
+ exit 1;
+ }
+ }
+}
+
+#
+# EOF